%define anolis_release 3

Name:		xxhash
Version:	0.8.1
Release:	%{anolis_release}%{?dist}
Summary:	Extremely fast hash algorithm

#		The source for the library (xxhash.c and xxhash.h) is BSD
#		The source for the command line tool (xxhsum.c) is GPLv2+
License:	BSD and GPLv2+
URL:		http://www.xxhash.com/
Source0:	https://github.com/Cyan4973/xxHash/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	make
BuildRequires:	gcc
BuildRequires:	doxygen

%description
xxHash is an Extremely fast Hash algorithm, running at RAM speed
limits. It successfully completes the SMHasher test suite which
evaluates collision, dispersion and randomness qualities of hash
functions. Code is highly portable, and hashes are identical on all
platforms (little / big endian).

%package libs
Summary:	Extremely fast hash algorithm - library
License:	BSD

%description libs
xxHash is an Extremely fast Hash algorithm, running at RAM speed
limits. It successfully completes the SMHasher test suite which
evaluates collision, dispersion and randomness qualities of hash
functions. Code is highly portable, and hashes are identical on all
platforms (little / big endian).

%package devel
Summary:	Extremely fast hash algorithm - development files
License:	BSD
Requires:	%{name}-libs = %{version}-%{release}
# By setting XXH_INLINE_ALL, xxhash may be used as a header-only library.
# Dependent packages that use xxhash this way must BR this virtual Provide:
Provides:	%{name}-static = %{version}-%{release}

%description devel
Development files for the xxhash library

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n xxHash-%{version}

%build
# Enable runtime detection of sse2/avx2/avx512 on intel architectures
%ifarch x86_64
%global dispatch 1
%else
%global dispatch 0
%endif

%make_build MOREFLAGS="%{__global_cflags} %{?__global_ldflags}" \
	    DISPATCH=%{dispatch}
doxygen

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}
rm %{buildroot}/%{_libdir}/libxxhash.a

%generate_compatibility_deps

%check
make check
make test-xxhsum-c

%ldconfig_scriptlets libs

%files
%dir %{abidir}
%{_bindir}/xxh*sum
%{abidir}/xxh*sum-option.list
%{_mandir}/man1/xxh*sum.1*
%license cli/COPYING

%files libs
%{_libdir}/libxxhash.so.*
%{abidir}/libxxhash*.dump
%license LICENSE

%files devel
%{_includedir}/xxhash.h
%{_includedir}/xxh3.h
%{_libdir}/libxxhash.so
%{_libdir}/pkgconfig/libxxhash.pc

%files doc
%doc README.md cli/README.md CHANGELOG
%doc doc/*

%changelog
* Fri Feb 03 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.8.1-3
- optimize doc package

* Wed Oct 12 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.8.1-2
- optimise spec file

* Sat May 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.8.1-1
- Init from upstream  version 0.8.1
